Package org.jbpm.services.task.assignment.impl.strategy

## Class LoadBalanceAssignmentStrategy

- java.lang.Object
- - org.jbpm.services.task.assignment.impl.strategy.LoadBalanceAssignmentStrategy

- All Implemented Interfaces:
    `org.kie.internal.task.api.assignment.AssignmentStrategy`

      public class LoadBalanceAssignmentStrategy
      extends Object
      implements org.kie.internal.task.api.assignment.AssignmentStrategy

  Assignment strategy that uses a plug-able approach for calculating the load that potential task owners have. It then assigns the task to the user with the lightest load.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoadBalanceAssignmentStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.internal.task.api.assignment.Assignment` | `apply​(org.kie.api.task.model.Task task, org.kie.api.task.TaskContext taskContext, String excludedUser)` |
    `String` | `getIdentifier()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.task.api.assignment.AssignmentStrategy

      `taskDone`

- - ### Constructor Detail

    - #### LoadBalanceAssignmentStrategy

          public LoadBalanceAssignmentStrategy()
                                        throws InstantiationException,
                                               IllegalAccessException,
                                               ClassNotFoundException

      Throws:
        `InstantiationException`
        `IllegalAccessException`
        `ClassNotFoundException`

  - ### Method Detail

    - #### getIdentifier

          public String getIdentifier()

      Specified by:
        `getIdentifier` in interface `org.kie.internal.task.api.assignment.AssignmentStrategy`

    - #### apply

          public org.kie.internal.task.api.assignment.Assignment apply​(org.kie.api.task.model.Task task,
                                                                       org.kie.api.task.TaskContext taskContext,
                                                                       String excludedUser)

      Specified by:
        `apply` in interface `org.kie.internal.task.api.assignment.AssignmentStrategy`